### Signal

# Atk Document::page-changed

since: 2.12

#### Declaration

    void
    page_changed (
      AtkDocument* self,
      gint page_number,
      gpointer user_data
    )

#### Description [src]

The ‘page-changed’ signal is emitted when the current page of a document changes, e.g. pressing page up/down in a document viewer.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.12

#### Parameters

`page_number`

  Type: `gint`

  The new page number. If this value is unknown or not applicable, -1 should be provided.